Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-sdl2/cityrep.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Macros | Functions | Variables
cityrep.c File Reference
`#include <SDL2/SDL.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "game.h"`
`#include "client_main.h"`
`#include "citydlg.h"`
`#include "cma_fe.h"`
`#include "colors.h"`
`#include "graphics.h"`
`#include "gui_id.h"`
`#include "gui_main.h"`
`#include "gui_tilespec.h"`
`#include "mapctrl.h"`
`#include "mapview.h"`
`#include "repodlgs.h"`
`#include "sprite.h"`
`#include "themespec.h"`
`#include "widget.h"`
`#include "wldlg.h"`
`#include "cityrep.h"`

Go to the source code of this file.

## Macros

#define | COL 17

## Functions

static void | real_info_city_report_dialog_update (void)
void | city_report_dialog_popdown (void)
static int | city_report_windows_callback (struct widget *pwindow)
static int | exit_city_report_callback (struct widget *pwidget)
static int | popup_citydlg_from_city_report_callback (struct widget *pwidget)
static int | popup_worklist_from_city_report_callback (struct widget *pwidget)
static int | popup_buy_production_from_city_report_callback (struct widget *pwidget)
static int | popup_cma_from_city_report_callback (struct widget *pwidget)
static struct widget * | real_city_report_dialog_update_city (struct widget *pwidget, struct city *pcity)
bool | is_city_report_open (void)
void | city_report_dialog_popup (bool make_modal)
void | real_city_report_dialog_update (void *unused)
void | real_city_report_update_city (struct city *pcity)
void | hilite_cities_from_canvas (void)
void | toggle_city_hilite (struct city *pcity, bool on_off)

## Variables

static struct advanced_dialog * | city_rep = NULL

## Macro Definition Documentation

## ◆ COL

#define COL 17

Definition at line 173 of file cityrep.c.

## Function Documentation

## ◆ city_report_dialog_popdown()

void city_report_dialog_popdown | ( | void |  | ) |

Close city report dialog.

Definition at line 62 of file cityrep.c.

## ◆ city_report_dialog_popup()

void city_report_dialog_popup | ( | bool | make_modal | ) |

Pop up or brings forward the city report dialog. It may or may not be modal.

Definition at line 1139 of file cityrep.c.

## ◆ city_report_windows_callback()

static int city_report_windows_callback | ( | struct widget * | pwindow | ) |

static

User interacted with cityreport window.

Definition at line 78 of file cityrep.c.

Referenced by real_info_city_report_dialog_update().

## ◆ exit_city_report_callback()

static int exit_city_report_callback | ( | struct widget * | pwidget | ) |

static

User interacted with city report close button.

Definition at line 90 of file cityrep.c.

Referenced by real_info_city_report_dialog_update().

## ◆ hilite_cities_from_canvas()

void hilite_cities_from_canvas | ( | void |  | ) |

After a selection rectangle is defined, make the cities that are hilited on the canvas exclusively hilited in the City List window.

Definition at line 1224 of file cityrep.c.

## ◆ is_city_report_open()

bool is_city_report_open | ( | void |  | ) |

Check if city report is open.

Definition at line 1130 of file cityrep.c.

Referenced by popup_hurry_production_dialog().

## ◆ popup_buy_production_from_city_report_callback()

static int popup_buy_production_from_city_report_callback | ( | struct widget * | pwidget | ) |

static

User interacted with city production button on city report.

Definition at line 126 of file cityrep.c.

Referenced by real_info_city_report_dialog_update().

## ◆ popup_citydlg_from_city_report_callback()

static int popup_citydlg_from_city_report_callback | ( | struct widget * | pwidget | ) |

static

User interacted with city button on city report.

Definition at line 102 of file cityrep.c.

Referenced by real_info_city_report_dialog_update().

## ◆ popup_cma_from_city_report_callback()

static int popup_cma_from_city_report_callback | ( | struct widget * | pwidget | ) |

static

User interacted with cma button on city report.

Definition at line 138 of file cityrep.c.

Referenced by real_info_city_report_dialog_update().

## ◆ popup_worklist_from_city_report_callback()

static int popup_worklist_from_city_report_callback | ( | struct widget * | pwidget | ) |

static

User interacted with worklist button on city report.

Definition at line 114 of file cityrep.c.

Referenced by real_info_city_report_dialog_update().

## ◆ real_city_report_dialog_update()

void real_city_report_dialog_update | ( | void * | unused | ) |

Update (refresh) the entire city report dialog.

Definition at line 1149 of file cityrep.c.

## ◆ real_city_report_dialog_update_city()

static struct widget * real_city_report_dialog_update_city | ( | struct widget * | pwidget,
|  | struct city * | pcity
| ) |  |

static

Update city information in city report.

Definition at line 964 of file cityrep.c.

Referenced by real_city_report_dialog_update(), and real_city_report_update_city().

## ◆ real_city_report_update_city()

void real_city_report_update_city | ( | struct city * | pcity | ) |

Update the city report dialog for a single city.

Definition at line 1195 of file cityrep.c.

## ◆ real_info_city_report_dialog_update()

static void real_info_city_report_dialog_update | ( | void |  | ) |

static

Rebuild the city info report.

Definition at line 178 of file cityrep.c.

Referenced by city_report_dialog_popup(), real_city_report_dialog_update(), and real_city_report_update_city().

## ◆ toggle_city_hilite()

void toggle_city_hilite | ( | struct city * | pcity,
|  | bool | on_off
| ) |  |

Toggle a city's hilited status.

Definition at line 1232 of file cityrep.c.

## Variable Documentation

## ◆ city_rep

struct advanced_dialog* city_rep = NULL

static

Definition at line 53 of file cityrep.c.

Referenced by city_report_dialog_popdown(), city_report_dialog_popup(), city_report_windows_callback(), is_city_report_open(), real_city_report_dialog_update(), real_city_report_update_city(), and real_info_city_report_dialog_update().